# Get cluster info

Launch stage: GA

`GET /api/2.1/clusters/get`

Retrieves the information for a cluster given its identifier.
 Clusters can be described while they are running, or up to 60 days after they are terminated.

API scopes: clusters

## Query parameters

- `cluster_id` (string, required)
  The cluster about which to retrieve information.

## Returns

Returns the ClusterInfo object.

## Response

```json
{
  "autotermination_minutes": 120,
  "aws_attributes": {
    "availability": "SPOT_WITH_FALLBACK",
    "ebs_volume_count": 0,
    "first_on_demand": 1,
    "spot_bid_price_percent": 100,
    "zone_id": "us-west-2c"
  },
  "cluster_id": "1234-567890-reef123",
  "cluster_name": "my-cluster",
  "cluster_source": "UI",
  "creator_user_name": "someone@example.com",
  "default_tags": {
    "ClusterId": "1234-567890-reef123",
    "ClusterName": "my-cluster",
    "Creator": "someone@example.com",
    "Vendor": "Databricks"
  },
  "disk_spec": {
    "disk_count": 0
  },
  "driver_instance_source": {
    "node_type_id": "i3.xlarge"
  },
  "driver_node_type_id": "i3.xlarge",
  "enable_elastic_disk": false,
  "enable_local_disk_encryption": false,
  "init_scripts_safe_mode": false,
  "instance_source": {
    "node_type_id": "i3.xlarge"
  },
  "last_state_loss_time": 1619739324740,
  "node_type_id": "i3.xlarge",
  "num_workers": 30,
  "spark_context_id": 4020997813441461760,
  "spark_version": "19.x-scala2.13",
  "spec": {
    "spark_version": "19.x-scala2.13"
  },
  "start_time": 1618263108824,
  "state": "TERMINATED",
  "state_message": "Inactive cluster terminated (inactive for 120 minutes).",
  "terminated_time": 1619746525713,
  "termination_reason": {
    "code": "INACTIVITY",
    "parameters": {
      "inactivity_duration_min": "120"
    },
    "type": "SUCCESS"
  }
}
```

